Nepomuk search error message

hi,
when i 'm trying to use nepomuk here is an error message i have.
What can i do to solve this ?

Thanks :wink:

Nepomuk Indexing Agents Have Been Disabled
The Nepomuk service is not available or fully operational and attempts to rectify this have failed. Therefore indexing of all data stored in the Akonadi PIM service has been disabled, which will severely limit the capabilities of any application using this data.

The following problems were detected:
Calling the Nepomuk storage service failed: ‘Message did not receive a reply (timeout by message bus)’.
Additional help can be found here: userbase.kde.org/Akonadi

Hi manchette,

i have the same error with Opensuse 11.0 and KDE factory, when i try to start Nepomuk.
At the same time, i am using Akonadi with no problems (addressbook, organizer …)

Maybe this just will be fixed in a later version.
I also tried some things, that are described here:
Akonadi - KDE UserBase

Couldn’t solve the problem.

I tried some things described here:
Finden statt suchen / Online-Artikel / Artikel / Internal / Home - LinuxCommunity

The following file in your home-directory seems to be important:
.kde4/share/config/nepomukserverrc

I ended up in a problem with soprano (which seems to be need for nepomuk). It says, that it needs the virtuoso backend (whatever this is).
I can see this by running sopranocmd; It says:
(Soprano:: PluginManager) plugin “virtuosobackend” is not available.

I found someone in a Mandriva-forum having the same problem:
Nepomuk ne fonctionne plus [Résolu] | Mandriva Forum
He solved it by installing virtuoso-opensource-applications, which seems not be available for Suse.

So i am still stuck.

Here is some more information to Soprano and Virtuoso:

Soprano - the Qt/C++ RDF framework | RDF on the desktop can be so easy
Nepomuk und Strigi :: sidux.com :: debian based live cd development

And even more information:
Soprano « Trueg’s Blog

But still no solution for me :frowning:

Oook, i finally fixed it :slight_smile:
I needed to install virtuoso-5.0.12.

In the repository for OpenSuse 11.0 there is only virtuoso-5.0.11
As you can see here:
Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.0/i586

So installed the following packages from the OpenSuse11.1 repository:
http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/i586/virtuoso-5.0.12-3.1.i586.rpm
http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/i586/virtuoso-server-5.0.12-3.1.i586.rpm
http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/i586/virtuoso-drivers-5.0.12-3.1.i586.rpm

Now everything works well.

I reported this as a bug:
https://bugzilla.novell.com/show_bug.cgi?id=569540

hi :wink:

i’m in opensuse 11.2 and kde 4 rc1 and already virtuoso-5.0.12 + the same for the server part and drivers

it’s still not working

Do you get any errors?

Try sopranocmd in your console. Maybe you can find errors in the output of this command.

hi :wink:

i started a thread in kde forums also and it appears that you need to
“Check that the directory /home/user/.kde4/share/apps/nepomuk/repository/main/data/redland/ exists.”

if not creating it solves the problem for me :wink:

The redland-backend for Soprano is said to be slow.
I have seen many people recommending other backends.

You can set the backend in this file:
.kde4/share/config/nepomukserverrc

The available options are:
virtuosobackend, redland, sesame2

I have read, that virtuoso is the future in this field. You already have installed the virtuoso-package?!